# Tourplaner: tourplaner.data.PostgresHelper Class Reference

tourplaner.data.PostgresHelper Class Reference

## Static Public Member Functions

static Connection | con ()
static boolean | executeUpdateMessage (String sql, String message)
static boolean | executeUpdate (String sql)

## Detailed Description

Hilfsfunktionen für die verwendung der Postgres DB

## Member Function Documentation

## con()

static Connection tourplaner.data.PostgresHelper.con | ( |  | ) |

static

Verbindet mit der Datenbank

Returns
  Das Connection Objekt

## executeUpdate()

static boolean tourplaner.data.PostgresHelper.executeUpdate | ( | String | sql | ) |

static

Führt ein Sql statement ohne rückgabe aus

Parameters

  sql | Sql command

Returns
  True bei erfolg, sonst false

## executeUpdateMessage()

static boolean tourplaner.data.PostgresHelper.executeUpdateMessage | ( | String | sql,
|  | String | message
| ) |  |

static

Führt ein Sql statement ohne rückgabe aus, mit message nachricht

Parameters

  sql | Sql command
  message | Mesasage die vor dem Durchführen angezeigt wird

Returns
  True bei erfolg, sonst false

The documentation for this class was generated from the following file:

- src/tourplaner/data/PostgresHelper.java